2

I'm new to this forum, so sorry for any mistakes.. Today I booted my Elementary OS into this (see the screenshot). Blurred or missing texts, no text in menus... But pages and menus a rendering correctly in Google Chrome and in Steam.

The problem might be corrupted apt upgrade process. Yesterday I experienced a power blackout when apt was finishing the upgrade process. One of the packages were some mesa packages, but it seemed almost finished, just setting things up. I tried to re-install them and reboot, but nothing happened.

However, before the blackout, I also installed libtxc-dxtn-s2tc0 trying to solve a minor glitch in Trine game. Later, after the reboot, I tried to remove libtxc-dxtn-s2tc0 and install it back again, but neither helped.

How can I identify the real cause of the problem and solve it? I can provide you any information you ask for, but I have no idea where to start.

This is the mentioned apt upgrade:

Start-Date: 2018-02-08  22:56:41 Commandline: apt upgrade Requested-By: drnec (1000) Install: libboost-locale1.58.0:amd64 (1.58.0+dfsg-5ubuntu3.1, automatic), libboost-thread1.58.0:amd64 (1.58.0+dfsg-5ubuntu3.1, automatic), fonts-liberation2:amd64 (2.00.1-5~16.04.1~lo4, automatic) Upgrade: libreoffice-style-breeze:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-math:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libgles2-mesa:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libdrm-nouveau2:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libdrm-nouveau2:i386 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libreoffice-gtk2:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libparted2:amd64 (3.2-15, 3.2-15ubuntu0.1), libreoffice-core:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libglapi-mesa:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libglapi-mesa:i386 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libreoffice-style-oxygen:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-style-human:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), papirus-icon-theme:amd64 (20180204-2173+pkg18~ubuntu16.04.1, 20180207-2186+pkg18~ubuntu16.04.1), libxatracker2:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libreoffice-style-hicontrast:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), flashplugin-installer:amd64 (28.0.0.137ubuntu0.16.04.1, 28.0.0.161ubuntu0.16.04.1), libegl1-mesa:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libreoffice-style-sifr:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), python3-uno:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libparted-fs-resize0:amd64 (3.2-15, 3.2-15ubuntu0.1), libapparmor1:amd64 (2.10.95-0ubuntu2.7, 2.10.95-0ubuntu2.8), libgbm1:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), adapta-gtk-theme:amd64 (3.93.0.110-0ubuntu1~xenial1, 3.93.0.113-0ubuntu1~xenial1), libreoffice-style-galaxy:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-base-core:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libdrm-amdgpu1:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libdrm-amdgpu1:i386 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libreoffice-style-elementary:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libapparmor-perl:amd64 (2.10.95-0ubuntu2.7, 2.10.95-0ubuntu2.8), oem-audio-hda-daily-dkms:amd64 (0.201802042116~ubuntu16.04.1,
0.201802072245~ubuntu16.04.1), chromium-codecs-ffmpeg-extra:amd64 (64.0.3282.119-0ubuntu0.16.04.1, 64.0.3282.140-0ubuntu0.16.04.1), libwayland-egl1-mesa:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), ure:amd64 (5.4.4~rc2-0ubuntu0.16.04.1~lo1, 6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-writer:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-common:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), parted:amd64 (3.2-15, 3.2-15ubuntu0.1), libdrm2:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libdrm2:i386 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libgl1-mesa-dri:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libgl1-mesa-dri:i386 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libgl1-mesa-glx:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libgl1-mesa-glx:i386 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), fonts-opensymbol:amd64 (2:102.10+LibO5.4.4~rc2-0ubuntu0.16.04.1~lo1, 2:102.10+LibO6.0.0~rc3-0ubuntu0.16.04.1~lo7), libdrm-intel1:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libdrm-intel1:i386 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), apparmor:amd64 (2.10.95-0ubuntu2.7, 2.10.95-0ubuntu2.8), uno-libs3:amd64 (5.4.4~rc2-0ubuntu0.16.04.1~lo1, 6.0.0~rc3-0ubuntu0.16.04.1~lo7), libreoffice-style-tango:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libdrm-radeon1:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), libdrm-radeon1:i386 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0), mesa-vdpau-drivers:amd64 (1:18.1~git180129151100.0347a83~x~padoka0, 1:18.1~git180208124100.e843667~x~padoka0), libreoffice-calc:amd64 (1:5.4.4~rc2-0ubuntu0.16.04.1~lo1, 1:6.0.0~rc3-0ubuntu0.16.04.1~lo7), libdrm-common:amd64 (2.4.89+git1801241146.1cc1774~x~padoka0,
2.4.89+git1802081214.fa35b51~x~padoka0) End-Date: 2018-02-08  23:00:56

enter image description here

0

This could be a result of broken packages because of the power loss during the update process.

You can try this (in Terminal):

sudo apt-get -f install

Once you've done that, update and then upgrade using:

sudo apt-get update
sudo apt-get upgrade

Once you've done the above comment back with the results.

Good Luck!!!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.